## EAttachmentDialog

EAttachmentDialog

## Synopsis

    struct              EAttachmentDialog;
    GtkWidget *         e_attachment_dialog_new             (GtkWindow *parent,
                                                             EAttachment *attachment);
    EAttachment *       e_attachment_dialog_get_attachment  (EAttachmentDialog *dialog);
    void                e_attachment_dialog_set_attachment  (EAttachmentDialog *dialog,
                                                             EAttachment *attachment);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkWidget
                   +----GtkContainer
                         +----GtkBin
                               +----GtkWindow
                                     +----GtkDialog
                                           +----EAttachmentDialog

## Implemented Interfaces

EAttachmentDialog implements AtkImplementorIface and GtkBuildable.

## Properties

      "attachment"               EAttachment*          : Read / Write / Construct

## Description

## Details

### struct EAttachmentDialog

    struct EAttachmentDialog;

### e_attachment_dialog_new ()

    GtkWidget *         e_attachment_dialog_new             (GtkWindow *parent,
                                                             EAttachment *attachment);

### e_attachment_dialog_get_attachment ()

    EAttachment *       e_attachment_dialog_get_attachment  (EAttachmentDialog *dialog);

### e_attachment_dialog_set_attachment ()

    void                e_attachment_dialog_set_attachment  (EAttachmentDialog *dialog,
                                                             EAttachment *attachment);

## Property Details

### The `"attachment"` property

      "attachment"               EAttachment*          : Read / Write / Construct